import { type UniversalOptions, type Config } from '@pnpm/config';
export declare function rcOptionsTypes(): {
    'pack-destination': StringConstructor;
};
export declare function cliOptionsTypes(): {
    'pack-destination': StringConstructor;
};
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: Pick<UniversalOptions, 'dir'> & Pick<Config, 'ignoreScripts' | 'rawConfig' | 'embedReadme' | 'packGzipLevel'> & Partial<Pick<Config, 'extraBinPaths' | 'extraEnv'>> & {
    argv: {
        original: string[];
    };
    engineStrict?: boolean;
    packDestination?: string;
    workspaceDir?: string;
}): Promise<string>;
